Update a workspace
curl --request PATCH \
--url https://api.steuerboard.com/v1/workspaces/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-client-id: <x-client-id>' \
--data '
{
"name": "Finanzbuchhaltung"
}
'import requests
url = "https://api.steuerboard.com/v1/workspaces/{id}"
payload = { "name": "Finanzbuchhaltung" }
headers = {
"x-client-id": "<x-client-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-client-id': '<x-client-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: 'Finanzbuchhaltung'})
};
fetch('https://api.steuerboard.com/v1/workspaces/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "cmf41ajzv003706un4i99q19z",
"name": "FiBu",
"createdAt": "2021-01-01T00:00:00Z",
"updatedAt": "2021-01-01T00:00:00Z",
"archivedAt": "2021-01-01T00:00:00Z",
"clientId": "cmf41ajzv003706un4i99q19z"
}{
"type": "bad_request",
"message": "<string>"
}{
"status_code": 401,
"type": "auth_error",
"code": "unauthorized",
"message": "<string>"
}{
"type": "auth_error",
"message": "<string>"
}{
"status_code": 404,
"type": "not_found",
"code": "not_found",
"message": "<string>"
}{
"success": false,
"error": {
"name": "ValidationError",
"issues": [
{
"code": "invalid_type",
"path": [
"name"
],
"message": "Required"
}
]
}
}{
"status_code": 429,
"type": "rate_limit",
"code": "too_many_requests",
"message": "<string>"
}This response has no body data.workspaces
Update a workspace
Updates a workspace by ID.
PATCH
/
workspaces
/
{id}
Update a workspace
Authorizations
Bearer token authentication
Headers
The ID of the client
Example:
"cmf41ajzv003706un4i99q19z"
Path Parameters
The ID of the item
Example:
"cmf41ajzv003706un4i99q19z"
Body
application/json
Workspace update
The new name of the workspace
Example:
"Finanzbuchhaltung"
Response
Workspace updated successfully
The ID of the workspace
Example:
"cmf41ajzv003706un4i99q19z"
The name of the workspace
Example:
"FiBu"
The date and time of the creation for the workspace. ISO-8601 format (YYYY-MM-DDTHH:MM:SSZ).
Example:
"2021-01-01T00:00:00Z"
The date and time of the last update for the workspace. ISO-8601 format (YYYY-MM-DDTHH:MM:SSZ).
Example:
"2021-01-01T00:00:00Z"
The date and time the workspace was archived. ISO-8601 format (YYYY-MM-DDTHH:MM:SSZ).
Example:
"2021-01-01T00:00:00Z"
The ID of the client
Example:
"cmf41ajzv003706un4i99q19z"
⌘I